/* src/components/BannerSection.css */
.banner {
  padding-top: 25px;
  padding-bottom: 25px;
}

.banner-wrap {
  background: url("https://res.cloudinary.com/dre55ftmq/image/upload/v1721852705/banner-10_oarkp3.png");
  padding: 83px 78px;
  border-radius: 20px;
  position: relative;
}

.banner-content {
  width: 80%;
}


.banner-text {
  max-width: 100%;
}

.banner-text h2 {
  font-size: 40px;
  margin-bottom: 20px;
  color: #333;
}

.banner-text p {
  font-size: 20px;
  margin-bottom: 40px;
  color: #555;
}

.banner-form {
  display: flex;
  align-items: center;
  position: relative;
  max-width: 350px;
  height: 64px;
}

.banner-form input {
  padding: 22px;
  border: 1px solid #ccc;
  border-radius: 30px;
  flex: 1;
  font-size: 16px;
  z-index: 1;
  //background: url('../img/Input.png') no-repeat left center;
  background-color: white;
  position: relative;
  //padding-right: 90px;
  box-sizing: border-box;

}

.banner-form button {
  padding: 22px 40px;
  background-color: #4caf50;
  color: #fff;
  border: none;
  border-radius: 30px;
  cursor: pointer;
  transition: background-color 0.3s;
  font-size: 16px;
  position: absolute;
  right: 0;
  z-index: 2;
}

.banner-image img {
  position: absolute;
  bottom: 0;
  right: 50px;
  max-width: 40%;
}

.nest-mart {
  color: #4caf50;
}

@media all and (max-width: 768px) {
  .banner-wrap {
    padding: 60px 40px;

    .banner-content {
      width: 100%;

      .banner-text {
        width: 100%;
        max-width: 100%;
        margin-bottom: 200px;

        & h2 {
          font-size: 2em;
          margin-bottom: 30px;
        }

        & p {
          font-size: 1.5em;
          margin-bottom: 50px;
        }

        .banner-form {
          & input {
            padding-left: 20px;
          }

          & button {
            padding: 22px 22px;
          }
        }
      }

      .banner-image {
        & img {
          right: 1%;
          max-width: 80%;
        }
      }
    }
  }
}

@media all and (max-width: 480px) {
  .banner-wrap {
    padding: 60px 20px;

    .banner-content {
      width: 100%;

      .banner-text {
        width: 100%;
        max-width: 100%;
        margin-bottom: 200px;

        & h2 {
          font-size: 2em;
          margin-bottom: 30px;
        }

        & p {
          font-size: 1.5em;
          margin-bottom: 50px;
        }

        .banner-form {
          & input {
            padding-left: 20px;
          }

          & button {
            padding: 22px 22px;
          }
        }
      }

      .banner-image {
        & img {
          right: 1%;
          max-width: 90%;
        }
      }
    }
  }
}